package net.northking.cctp.upperComputer.driver.agent.command;

import net.northking.cctp.upperComputer.driver.agent.command.protocol.AbstractProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class StopCommand extends AbstractProtocolCommand<String> {
    /**
     * 每个指令具备的唯一id
     *
     * @return 指令id
     */
    @Override
    public int getCommandId() {
        return -999;
    }

    /**
     * Session将调用此方法进行数据发送
     *
     * @param output 输出对象
     */
    @Override
    public void doSend(DataOutput output) throws IOException {

    }

    @Override
    public String buildReceive(DataInput input) throws IOException {
        return null;
    }
}
